;InnoSetupVersion=3.0.5

[Setup]
AppName=Active Tray
AppVerName=Active Tray 1.1
AppId=Active Tray
AppPublisher=Divcom Software
AppPublisherURL=http://www.divcomsoft.com
AppSupportURL=http://www.activetray.com
AppUpdatesURL=http://www.activetray.com
AppMutex=DivcomActiveTrayMutex
DefaultDirName={pf}\Active Tray
DefaultGroupName=Active Tray
UninstallDisplayIcon={app}\atray.exe,0
OutputBaseFilename=setup
Compression=zip
PrivilegesRequired=none
AllowNoIcons=yes
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\atray.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\english.lng"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\license.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\readme.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\file_id.diz"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\atray.chm"; DestDir: "{app}"; Flags: ignoreversion 

[Registry]
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Run"; ValueName: "Active Tray"; Flags: deletevalue noerror 
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Run"; ValueName: "Active Tray"; ValueType: String; ValueData: "{app}\atray.exe"; Tasks: autorun; Flags: uninsdeletevalue noerror 
Root: HKCU; Subkey: "Software\Divcom Software\Active Tray\System"; ValueName: "Key"; Flags: uninsdeletevalue noerror 
Root: HKCU; Subkey: "Software\Divcom Software\Active Tray\System"; ValueName: "Password"; Flags: uninsdeletevalue noerror 

[INI]
FileName: "{app}\atray.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.activetray.com"; 

[Run]
Filename: "{app}\atray.exe"; Description: "&Launch Active Tray"; Flags: postinstall skipifsilent nowait
Filename: "{app}\readme.txt"; Description: "&View Readme"; Flags: shellexec skipifdoesntexist postinstall skipifsilent 
Filename: "{app}\atray.exe"; Parameters: "-silentrun"; StatusMsg: "Finishing installation..."; 

[Icons]
Name: "{group}\Active Tray"; Filename: "{app}\atray.exe"; WorkingDir: "{app}"; 
Name: "{group}\Active Tray on the Web"; Filename: "{app}\atray.url"; WorkingDir: "{app}"; Comment: "http://www.activetray.com"; 
Name: "{group}\Uninstall Active Tray"; Filename: "{uninstallexe}"; WorkingDir: "{app}"; 
Name: "{userdesktop}\Active Tray"; Filename: "{app}\atray.exe"; WorkingDir: "{app}"; Tasks: desktopicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; 
Name: "autorun"; Description: "Run Active Tray at Windows &startup"; 

[UninstallDelete]
Type: files; Name: "{app}\atray.url"; 
